curl --request POST \
--url https://api.ctrl-hub.com/v3/form-submissions/search \
--header 'Content-Type: application/vnd.api+json' \
--header 'X-Session-Token: <api-key>' \
--data '
{
"data": {
"type": "<string>",
"attributes": {
"filter": "<string>",
"include": [],
"limit": 1,
"offset": 1,
"sort": []
}
}
}
'import requests
url = "https://api.ctrl-hub.com/v3/form-submissions/search"
payload = { "data": {
"type": "<string>",
"attributes": {
"filter": "<string>",
"include": [],
"limit": 1,
"offset": 1,
"sort": []
}
} }
headers = {
"X-Session-Token": "<api-key>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Session-Token': '<api-key>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: '<string>',
attributes: {filter: '<string>', include: [], limit: 1, offset: 1, sort: []}
}
})
};
fetch('https://api.ctrl-hub.com/v3/form-submissions/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"counts": {
"contributors": 0,
"versions": 1
},
"workflow": {
"current_step": {
"id": "<string>"
}
}
},
"relationships": {
"form": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"versions": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"scheme_shares": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"workflow": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"workflow_version": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"workflow_instance": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
}
}
}
],
"meta": {
"pagination": {
"counts": {
"pages": 123,
"resources": 123
},
"current_page": 123,
"offsets": {
"next": 123,
"previous": 123
},
"requested": {
"limit": 123,
"offset": 123
}
},
"features": {
"include": {
"options": [
"<string>"
]
}
}
},
"jsonapi": {
"version": "<string>"
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"email": "jsmith@example.com",
"identities": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "<string>",
"meta": {}
}
],
"profile": {
"work": {
"occupation": "<string>",
"cscs": "<string>",
"eusr": "<string>",
"start_date": "2023-12-25"
},
"personal": {
"first_name": "<string>",
"last_name": "<string>",
"dob": "2023-12-25",
"username": "<string>"
},
"contact": {
"mobile": "<string>",
"landline": "<string>"
},
"address": {
"number": "",
"street": "<string>",
"area": "<string>",
"town": "<string>",
"county": "<string>",
"postcode": "<string>",
"country_code": "<string>",
"what3words": "<string>"
},
"settings": {
"preferred_language": "en-GB",
"timezone": "<string>"
}
}
},
"meta": {},
"relationships": {
"organisations": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"teams": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
]
},
"managing_organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
}
}
}
]
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Search submissions
Search for form submissions using a JSON body instead of query parameters. Accepts the
same filter/include/limit/offset/sort options as the GET list endpoint, but as a body —
useful for clients on networks that enforce a URL length limit when filtering by large
ID sets (e.g. in(related_resources.id,[…])).
Authorizations
Session token for authentication.
Body
Search criteria for form submissions. The same parameters that the GET list endpoint accepts via query string can be sent here as a JSON:API body, which avoids the URL-length limits some clients enforce when filtering by large ID sets.
Show child attributes
Show child attributes
Response
Get a list of submissions for a form.
JSON API response object
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related resources that can be included when a form submission is returned
A user
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes